{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/12.02/aa-1202-after-02-attachment_filetype_direction.p
  Doel: - Vullen van filetype aan de hand van file_extentie
        - Conversie van direction type integer naar directioncode systemcode
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.
DEF VAR cDirectioncode                AS CHARACTER NO-UNDO.
DEF VAR cFiletype                     AS CHARACTER NO-UNDO.
DEF VAR iModulo                       AS INTEGER   NO-UNDO INITIAL 100.

DEFINE BUFFER b-aa-attachment FOR aa-attachment.

ASSIGN cProgram =  "aa-1202-after-02-attachment_filetype_direction.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.
  
  /* Triggers niet noodzakelijk voor deze conversie */
  DISABLE TRIGGERS FOR LOAD OF aa-attachment.   

  RUN DisplayProgress (cProgram, cAction, 'aa-attachment'    , 0     , iDone).
  
  ASSIGN cAction  = "Attachment update filetype and conversion direction"
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, 'aa-attachment'    , 0     , iDone).
  
  loop_attach:
  FOR EACH  aa-attachment FIELDS(obsolete filetype directioncode file_extension):
    
    /* if directoncode is empty convert from old integer value */
    IF aa-attachment.directioncode = ""
    THEN cDirectioncode = (IF aa-attachment.obsolete = 1 
                           THEN "INCOMING" 
                           ELSE (IF aa-attachment.obsolete = 2
                                 THEN "OUTGOING"
                                 ELSE "UNKNOWN"
                                )
                           ).
    /* if FileType is empty convert from file extention, 
       - file_extention 'msg' -> E-MAIL
       - other -> DOCUMENT */
    IF aa-attachment.filetype = ""
    THEN cFiletype      = (IF aa-attachment.file_extension = ".msg" OR aa-attachment.file_extension = "msg"
                           THEN "E-MAIL"
                           ELSE "DOCUMENT"
                          ).

    /* Direction en filetype hebben al een waarde -> Next */
    IF aa-attachment.directioncode <> "" AND aa-attachment.filetype    <> "" THEN NEXT loop_attach.

    DO TRANSACTION:
    
      FIND b-aa-attachment 
      WHERE ROWID(b-aa-attachment) = ROWID(aa-attachment)
            EXCLUSIVE-LOCK NO-WAIT.
      IF AVAILABLE b-aa-attachment
      THEN
        ASSIGN b-aa-attachment.directioncode = cDirectioncode WHEN b-aa-attachment.directioncode = ""
               b-aa-attachment.filetype      = cFileType      WHEN b-aa-attachment.filetype      = ""
        .
      iDone = iDone  + 1.
      IF iDone MODULO iModulo = 0 THEN RUN DisplayProgress (cProgram, cAction, 'aa-attachment'    , 0     , iDone).


    END.



  END. /* FOR EACH aa-attachment: */

RUN DisplayProgress (cProgram, cAction, 'aa-attachment'    , 0     , iDone).


