
/*------------------------------------------------------------------------
    File        : 
    Purpose     : instelling of e-mail adres van user gebruikt moet worden 
                  ipv algemeen e-mail adres nu instelling in sp-company, dit
                  was een control record.

    Author(s)   : Fred van Leeuwen
    
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */

{System/conversion/conversion_progress.i}

/* ***************************  Main Block  *************************** */
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR cTable                        AS CHAR NO-UNDO.
DEF VAR iTotal                        AS INT  NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.
DEF VAR iModulo                       AS INT  NO-UNDO.

cProgram =  THIS-PROCEDURE:FILE-NAME.
cAction  = "".

/* --------------------------------------------------------------
  Disable triggers op de tabel indien dit mogelijk of
  onderzoek de effecten als de triggers aan moeten 
  blijven staan 
   -------------------------------------------------------------- */
DISABLE TRIGGERS FOR LOAD OF sp-company.
DISABLE TRIGGERS FOR LOAD OF aa-control.

DEFINE BUFFER b-sp-company FOR sp-company.
DEFINE BUFFER b-aa-control FOR aa-control.

cTable = "sp-company".
cAction = "E-billing: user e-mail address".

/* --------------------------------------------------------------
   Voortgang van de conversie wordt doormiddel van deze fucntie 
   afgehandeld
   -------------------------------------------------------------- */
RUN DisplayProgress (cProgram, cAction, cTable    , iTotal     , iDone).

FOR EACH b-sp-company
  EXCLUSIVE-LOCK TRANSACTION: 
  
  FIND b-aa-control WHERE 
       b-aa-control.controlcode =  b-sp-company.companycode + '-EBILLING-SENDER' 
   AND b-aa-control.list        = 'USER'
       EXCLUSIVE-LOCK NO-ERROR.

  IF AVAIL b-aa-control
  THEN DO:
    b-sp-company.ind_ebilling_email_user = TRUE.
    DELETE b-aa-control.
  END.
    

  iDone = iDone  + 1.
  RUN DisplayProgress (cProgram, cAction, cTable    , iTotal     , iDone).
  
END.

RUN DisplayProgress (cProgram, cAction, cTable    , iTotal     , iDone).

