/*
  Diverse edi parameters die in 23.02 niet meer gebruikt worden in 23.03 verwijderen
*/
BLOCK-LEVEL ON ERROR UNDO, THROW.

DEFINE VARIABLE cProgram          AS CHARACTER NO-UNDO.
DEFINE VARIABLE cAction           AS CHARACTER NO-UNDO.
DEFINE VARIABLE cTable            AS CHARACTER NO-UNDO.
DEFINE VARIABLE iTotal            AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone             AS INTEGER   NO-UNDO.

{System/conversion/conversion_progress.i}

DEFINE VARIABLE cParameterNames AS CHARACTER NO-UNDO INIT "conn_security,smtpcommandline,smtpserver,authentication,deleteworkfiles,smtp_override,suppreswindow,smtpversion,ews-override".

ASSIGN
  cProgram =  THIS-PROCEDURE:FILE-NAME
  cAction  = "Delete obsolete edi parameters"
  cTable   = "aa-edi-srv-par"
  .

DISABLE TRIGGERS FOR LOAD OF aa-edi-srv-par ALLOW-REPLICATION.

iTotal = NUM-ENTRIES(cParameterNames).

DO iDone = 1 TO NUM-ENTRIES(cParameterNames):
  FIND FIRST aa-edi-srv-par
    WHERE aa-edi-srv-par.service_code EQ "EMAIL"
    AND   aa-edi-srv-par.par_name     EQ ENTRY(iDone, cParameterNames)
    EXCLUSIVE-LOCK NO-ERROR NO-WAIT.

  IF AVAILABLE aa-edi-srv-par THEN
    DELETE aa-edi-srv-par NO-ERROR.

END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
